Python Interview Questions

Ian Kelly ian.g.kelly at gmail.com
Wed Jul 11 00:59:11 CEST 2012


On Tue, Jul 10, 2012 at 4:26 PM, Dennis Lee Bieber
<wlfraed at ix.netcom.com> wrote:
> On Tue, 10 Jul 2012 09:05:50 -0700, Ethan Furman <ethan at stoneleaf.us>
> declaimed the following in gmane.comp.python.general:
>
>> As an example from today, if someone claimed to have 5+ years of Python
>> experience, but didn't know that 'with' was standard in 2.6 (or at least
>> the end of the 2.x cycle) I would be suspicious that they actually had
>> the experience they claimed.
>>
>
> >From the 2.5 help file:
> """
> 3.4.9 With Statement Context Managers
> New in version 2.5.
> """

In 2.5 the with statement requires a __future__ import, so can't be
considered "standard".



More information about the Python-list mailing list